@keyframes jst-keyframes-spin {
	to {
		transform: rotate(1turn)
	}
}

@keyframes jst-keyframes-pulse {
	0% {
		transform: scale(0)
	}
	50% {
		opacity: 1;
		transform: none
	}
}

:root {
	--jst-border-radius: 2px;
	--jst-btn-color: #fff;
	--jst-border-color: lightgray;
	--jst-dark: #52525E;
	--jst-dark-hover: #7D8695;
	--jst-red: #dc3545;
	--jst-red-hover: #bb2d3b;
	--jst-teal: #0dcaf0;
	--jst-teal-hover: #31d2f2;
	--jst-modal-loader-icon-size: 48px;
	--jst-modal-overlay-bg: #000;
	--jst-modal-bg: #fff;
	--jst-modal-color: #000;
	--jst-modal-header-bg: #f7f7f7;
	--jst-modal-header-shadow-color: gray;
	--jst-modal-iframe-overlay-bg: rgba(123, 123, 123, .10);
	--jst-modal-loader-icon-color: #0D6EFD;
	--jst-btn-anim-color: #0D6EFD;
	--jst-form-msg-success: green;
	--jst-form-msg-error: darkred;
	--jst-table-col-icon-color: #EE8C35
}

.jst-dark {
	--jst-border-color: transparent;
	--jst-modal-bg: #212529;
	--jst-modal-color: #fff;
	--jst-modal-header-bg: #363940;
	--jst-modal-header-shadow-color: black;
	--jst-modal-iframe-overlay-bg: rgba(4, 5, 5, .35);
	--jst-modal-loader-icon-color: #0B62E0;
	--jst-btn-anim-color: #0B62E0;
	--jst-form-msg-success: lightgreen;
	--jst-form-msg-error: red
}

.jst-cursor-pointer {
	cursor: pointer
}

.jst-m-0 {
	margin: 0 !important
}

.jst-m-4 {
	margin: .25rem !important
}

.jst-m-8 {
	margin: .5rem !important
}

.jst-m-16 {
	margin: 1rem !important
}

.jst-m-32 {
	margin: 2rem !important
}

.jst-m-48 {
	margin: 3rem !important
}

.jst-m-64 {
	margin: 4rem !important
}

.jst-mx-0 {
	margin-left: 0 !important;
	margin-right: 0 !important
}

.jst-mx-4 {
	margin-left: .25rem !important;
	margin-right: .25rem !important
}

.jst-mx-8 {
	margin-left: .5rem !important;
	margin-right: .5rem !important
}

.jst-mx-16 {
	margin-left: 1rem !important;
	margin-right: 1rem !important
}

.jst-mx-32 {
	margin-left: 2rem !important;
	margin-right: 2rem !important
}

.jst-mx-48 {
	margin-left: 3rem !important;
	margin-right: 3rem !important
}

.jst-mx-64 {
	margin-left: 4rem !important;
	margin-right: 4rem !important
}

.jst-my-0 {
	margin-top: 0 !important;
	margin-bottom: 0 !important
}

.jst-my-4 {
	margin-top: .25rem !important;
	margin-bottom: .25rem !important
}

.jst-my-8 {
	margin-top: .5rem !important;
	margin-bottom: .5rem !important
}

.jst-my-16 {
	margin-top: 1rem !important;
	margin-bottom: 1rem !important
}

.jst-my-32 {
	margin-top: 2rem !important;
	margin-bottom: 2rem !important
}

.jst-my-48 {
	margin-top: 3rem !important;
	margin-bottom: 3rem !important
}

.jst-my-64 {
	margin-top: 4rem !important;
	margin-bottom: 4rem !important
}

.jst-mt-0 {
	margin-top: 0 !important
}

.jst-mt-4 {
	margin-top: .25rem !important
}

.jst-mt-8 {
	margin-top: .5rem !important
}

.jst-mt-16 {
	margin-top: 1rem !important
}

.jst-mt-32 {
	margin-top: 2rem !important
}

.jst-mt-48 {
	margin-top: 3rem !important
}

.jst-mt-64 {
	margin-top: 4rem !important
}

.jst-mb-0 {
	margin-bottom: 0 !important
}

.jst-mb-4 {
	margin-bottom: .25rem !important
}

.jst-mb-8 {
	margin-bottom: .5rem !important
}

.jst-mb-16 {
	margin-bottom: 1rem !important
}

.jst-mb-32 {
	margin-bottom: 2rem !important
}

.jst-mb-48 {
	margin-bottom: 3rem !important
}

.jst-mb-64 {
	margin-bottom: 4rem !important
}

.jst-ms-0 {
	margin-left: 0 !important
}

.jst-ms-4 {
	margin-left: .25rem !important
}

.jst-ms-8 {
	margin-left: .5rem !important
}

.jst-ms-16 {
	margin-left: 1rem !important
}

.jst-ms-32 {
	margin-left: 2rem !important
}

.jst-ms-48 {
	margin-left: 3rem !important
}

.jst-ms-64 {
	margin-left: 4rem !important
}

.jst-me-0 {
	margin-right: 0 !important
}

.jst-me-4 {
	margin-right: .25rem !important
}

.jst-me-8 {
	margin-right: .5rem !important
}

.jst-me-16 {
	margin-right: 1rem !important
}

.jst-me-32 {
	margin-right: 2rem !important
}

.jst-me-48 {
	margin-right: 3rem !important
}

.jst-me-64 {
	margin-right: 4rem !important
}

.jst-p-0 {
	padding: 0 !important
}

.jst-p-4 {
	padding: .25rem !important
}

.jst-p-8 {
	padding: .5rem !important
}

.jst-p-16 {
	padding: 1rem !important
}

.jst-p-32 {
	padding: 2rem !important
}

.jst-p-48 {
	padding: 3rem !important
}

.jst-p-64 {
	padding: 4rem !important
}

.jst-px-0 {
	padding-left: 0 !important;
	padding-right: 0 !important
}

.jst-px-4 {
	padding-left: .25rem !important;
	padding-right: .25rem !important
}

.jst-px-8 {
	padding-left: .5rem !important;
	padding-right: .5rem !important
}

.jst-px-16 {
	padding-left: 1rem !important;
	padding-right: 1rem !important
}

.jst-px-32 {
	padding-left: 2rem !important;
	padding-right: 2rem !important
}

.jst-px-48 {
	padding-left: 3rem !important;
	padding-right: 3rem !important
}

.jst-px-64 {
	padding-left: 4rem !important;
	padding-right: 4rem !important
}

.jst-py-0 {
	padding-top: 0 !important;
	padding-bottom: 0 !important
}

.jst-py-4 {
	padding-top: .25rem !important;
	padding-bottom: .25rem !important
}

.jst-py-8 {
	padding-top: .5rem !important;
	padding-bottom: .5rem !important
}

.jst-py-16 {
	padding-top: 1rem !important;
	padding-bottom: 1rem !important
}

.jst-py-32 {
	padding-top: 2rem !important;
	padding-bottom: 2rem !important
}

.jst-py-48 {
	padding-top: 3rem !important;
	padding-bottom: 3rem !important
}

.jst-py-64 {
	padding-top: 4rem !important;
	padding-bottom: 4rem !important
}

.jst-pt-0 {
	padding-top: 0 !important
}

.jst-pt-4 {
	padding-top: .25rem !important
}

.jst-pt-8 {
	padding-top: .5rem !important
}

.jst-pt-16 {
	padding-top: 1rem !important
}

.jst-pt-32 {
	padding-top: 2rem !important
}

.jst-pt-48 {
	padding-top: 3rem !important
}

.jst-pt-64 {
	padding-top: 4rem !important
}

.jst-pb-0 {
	padding-bottom: 0 !important
}

.jst-pb-4 {
	padding-bottom: .25rem !important
}

.jst-pb-8 {
	padding-bottom: .5rem !important
}

.jst-pb-16 {
	padding-bottom: 1rem !important
}

.jst-pb-32 {
	padding-bottom: 2rem !important
}

.jst-pb-48 {
	padding-bottom: 3rem !important
}

.jst-pb-64 {
	padding-bottom: 4rem !important
}

.jst-ps-0 {
	padding-left: 0 !important
}

.jst-ps-4 {
	padding-left: .25rem !important
}

.jst-ps-8 {
	padding-left: .5rem !important
}

.jst-ps-16 {
	padding-left: 1rem !important
}

.jst-ps-32 {
	padding-left: 2rem !important
}

.jst-ps-48 {
	padding-left: 3rem !important
}

.jst-ps-64 {
	padding-left: 4rem !important
}

.jst-pe-0 {
	padding-right: 0 !important
}

.jst-pe-4 {
	padding-right: .25rem !important
}

.jst-pe-8 {
	padding-right: .5rem !important
}

.jst-pe-16 {
	padding-right: 1rem !important
}

.jst-pe-32 {
	padding-right: 2rem !important
}

.jst-pe-48 {
	padding-right: 3rem !important
}

.jst-pe-64 {
	padding-right: 4rem !important
}

.jst-w-25 {
	width: 25%
}

.jst-w-55 {
	width: 50%
}

.jst-w-75 {
	width: 75%
}

.jst-w-100 {
	width: 100%
}

.jst-h-25 {
	height: 25%
}

.jst-h-55 {
	height: 50%
}

.jst-h-75 {
	height: 75%
}

.jst-h-100 {
	height: 100%
}

.jst-lay-center {
	display: flex;
	justify-content: center;
	align-items: center
}

.jst-lay-xs {
	display: flex;
	justify-content: flex-start
}

.jst-lay-xc, .jst-lay-xe {
	display: flex;
	justify-content: flex-end
}

.jst-lay-xc {
	justify-content: center
}

.jst-lay-xsa {
	display: flex;
	justify-content: space-around
}

.jst-lay-xsb {
	display: flex;
	justify-content: space-between
}

.jst-lay-xse {
	display: flex;
	justify-content: space-evenly
}

.jst-lay-ye, .jst-lay-ys {
	display: flex;
	align-items: flex-start
}

.jst-lay-ye {
	align-items: flex-end
}

.jst-lay-yst {
	display: flex;
	align-items: stretch
}

.jst-lay-yb, .jst-lay-yc {
	display: flex;
	align-items: center
}

.jst-lay-yb {
	align-items: baseline
}

.jst-lay-xs-ye, .jst-lay-xs-ys {
	display: flex;
	justify-content: flex-start;
	align-items: flex-start
}

.jst-lay-xs-ye {
	align-items: flex-end
}

.jst-lay-xs-yb, .jst-lay-xs-yc, .jst-lay-xs-yst {
	display: flex;
	justify-content: flex-start;
	align-items: stretch
}

.jst-lay-xs-yb, .jst-lay-xs-yc {
	align-items: center
}

.jst-lay-xs-yb {
	align-items: baseline
}

.jst-lay-xe-ye, .jst-lay-xe-ys {
	display: flex;
	justify-content: flex-end;
	align-items: flex-start
}

.jst-lay-xe-ye {
	align-items: flex-end
}

.jst-lay-xe-yb, .jst-lay-xe-yc, .jst-lay-xe-yst {
	display: flex;
	justify-content: flex-end;
	align-items: stretch
}

.jst-lay-xe-yb, .jst-lay-xe-yc {
	align-items: center
}

.jst-lay-xe-yb {
	align-items: baseline
}

.jst-lay-xc-ye, .jst-lay-xc-ys {
	display: flex;
	justify-content: center;
	align-items: flex-start
}

.jst-lay-xc-ye {
	align-items: flex-end
}

.jst-lay-xc-yb, .jst-lay-xc-yc, .jst-lay-xc-yst {
	display: flex;
	justify-content: center;
	align-items: stretch
}

.jst-lay-xc-yb, .jst-lay-xc-yc {
	align-items: center
}

.jst-lay-xc-yb {
	align-items: baseline
}

.jst-lay-xsa-ye, .jst-lay-xsa-ys {
	display: flex;
	justify-content: space-around;
	align-items: flex-start
}

.jst-lay-xsa-ye {
	align-items: flex-end
}

.jst-lay-xsa-yb, .jst-lay-xsa-yc, .jst-lay-xsa-yst {
	display: flex;
	justify-content: space-around;
	align-items: stretch
}

.jst-lay-xsa-yb, .jst-lay-xsa-yc {
	align-items: center
}

.jst-lay-xsa-yb {
	align-items: baseline
}

.jst-lay-xsb-ye, .jst-lay-xsb-ys {
	display: flex;
	justify-content: space-between;
	align-items: flex-start
}

.jst-lay-xsb-ye {
	align-items: flex-end
}

.jst-lay-xsb-yb, .jst-lay-xsb-yc, .jst-lay-xsb-yst {
	display: flex;
	justify-content: space-between;
	align-items: stretch
}

.jst-lay-xsb-yb, .jst-lay-xsb-yc {
	align-items: center
}

.jst-lay-xsb-yb {
	align-items: baseline
}

.jst-lay-xse-ye, .jst-lay-xse-ys {
	display: flex;
	justify-content: space-evenly;
	align-items: flex-start
}

.jst-lay-xse-ye {
	align-items: flex-end
}

.jst-lay-xse-yb, .jst-lay-xse-yc, .jst-lay-xse-yst {
	display: flex;
	justify-content: space-evenly;
	align-items: stretch
}

.jst-lay-xse-yb, .jst-lay-xse-yc {
	align-items: center
}

.jst-lay-xse-yb {
	align-items: baseline
}

.jst-lay-column {
	flex-flow: column
}

.jst-flex-column-reverse {
	flex-direction: column-reverse
}

.jst-flex-no-wrap {
	flex-wrap: nowrap
}

.jst-flex-grow-1 {
	flex-grow: 1
}

.jst-flex-shrink-0 {
	flex-shrink: 0
}

.jst-gap-0 {
	gap: 0
}

.jst-gap-4 {
	gap: .25rem
}

.jst-gap-8 {
	gap: .5rem
}

.jst-gap-16 {
	gap: 1rem
}

.jst-gap-32 {
	gap: 2rem
}

.jst-gap-48 {
	gap: 3rem
}

.jst-gap-64 {
	gap: 4rem
}

.jst-d-none {
	display: none
}

.jst-d-inline {
	display: inline
}

.jst-d-inline-block {
	display: inline-block
}

.jst-d-block {
	display: block
}

.jst-d-flex {
	display: flex
}

.jst-txt-sm {
	font-size: .875rem !important
}

.jst-txt-xs {
	font-size: .75rem !important
}

.jst-icon-swap {
	display: inline-block;
	width: 1rem;
	aspect-ratio: 1;
	border-width: .2rem;
	border-radius: 50%
}

.jst-anim-spin {
	border: .2rem solid var(--jst-btn-anim-color);
	border-right-color: transparent;
	animation: jst-keyframes-spin .95s linear infinite
}

.jst-anim-pulse {
	opacity: 0;
	border: 1px solid var(--jst-btn-anim-color);
	background: var(--jst-btn-anim-color);
	animation: jst-keyframes-pulse .7s linear infinite
}

.jst-anim-spin-color {
	width: 1.5rem;
	aspect-ratio: 1;
	border-radius: 50%;
	background: radial-gradient(farthest-side, var(--jst-btn-anim-color) 94%, #0000) top/.2rem .2rem no-repeat, conic-gradient(#0000 30%, var(--jst-btn-anim-color));
	-webkit-mask: radial-gradient(farthest-side, #0000 calc(100% - .2rem), #000 0);
	animation: jst-keyframes-spin 1s infinite linear
}

.jst-form-msg-success {
	color: var(--jst-form-msg-success)
}

.jst-form-msg-error {
	color: var(--jst-form-msg-error)
}

.jst-overlay {
	position: fixed;
	display: none;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	width: 100%;
	height: 100%;
	background: var(--jst-modal-overlay-bg);
	z-index: 4;
	opacity: .5
}

.jst-overlay-dark {
	opacity: .85
}

.jst-modal {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 5;
}

.jst-modal-d-block {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	transition: all 250ms ease-in-out
}

.jst-modal-iframe-overlay-bg {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
	z-index: -1;
	background: var(--jst-modal-iframe-overlay-bg)
}

.jst-modal-loader-wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	z-index: 9999;
	border-radius: var(--jst-border-radius, 3px);
	background-color: var(--jst-modal-bg);
	color: var(--jst-modal-color)
}

.jst-modal-loader {
	width: var(--jst-modal-loader-icon-size);
	aspect-ratio: 1;
	border-radius: 50%;
	background: radial-gradient(farthest-side, var(--jst-modal-loader-icon-color) 94%, #0000) top/8px 8px no-repeat, conic-gradient(#0000 30%, var(--jst-modal-loader-icon-color));
	-webkit-mask: radial-gradient(farthest-side, #0000 calc(100% - 8px), #000 0);
	animation: jst-keyframes-spin 1s infinite linear
}

.jst-modal-loader-label {
	margin: .5rem auto 0;
	text-align: center
}

.jst-modal-container, .jst-modal-header {
	display: flex;
	color: var(--jst-modal-color)
}

.jst-modal-container {
	position: relative;
	flex-direction: column;
	border-radius: var(--jst-border-radius, 3px);
	z-index: 5;
	overflow: clip;
	background-color: var(--jst-modal-bg)
}

.jst-modal-header {
	min-height: 48px;
	justify-content: space-between;
	align-items: center;
	background-color: var(--jst-modal-header-bg);
	box-shadow: 0 0 2px var(--jst-modal-header-shadow-color)
}

.jst-modal-header-less {
	position: absolute;
	top: .5rem;
	right: 0;
	text-align: right;
	z-index: 2
}

.jst-modal-header h4 {
	margin: 0;
	padding: 1rem
}

.jst-modal-icon-close {
	display: inline-block;
	width: 24px;
	height: 24px;
	margin-right: 8px;
	opacity: .55;
	transition: opacity 250ms ease-in-out;
	cursor: pointer;
	line-height: 0;
	z-index: 100;
	background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGhlaWdodD0iMjRweCIgdmlld0JveD0iMCAtOTYwIDk2MCA5NjAiIHdpZHRoPSIyNHB4IiBmaWxsPSIjMDAwMDAwIj48cGF0aCBkPSJtMjU2LTIwMC01Ni01NiAyMjQtMjI0LTIyNC0yMjQgNTYtNTYgMjI0IDIyNCAyMjQtMjI0IDU2IDU2LTIyNCAyMjQgMjI0IDIyNC01NiA1Ni0yMjQtMjI0LTIyNCAyMjRaIi8+PC9zdmc+) no-repeat center center;
	background-size: 24px
}

.jst-modal-icon-close:hover, .jst-table-col-hover:hover .jst-table-col-icon-sort {
	opacity: 1
}

.jst-dark .jst-modal-icon-close {
	background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGhlaWdodD0iMjRweCIgdmlld0JveD0iMCAtOTYwIDk2MCA5NjAiIHdpZHRoPSIyNHB4IiBmaWxsPSIjRkZGRkZGIj48cGF0aCBkPSJtMjU2LTIwMC01Ni01NiAyMjQtMjI0LTIyNC0yMjQgNTYtNTYgMjI0IDIyNCAyMjQtMjI0IDU2IDU2LTIyNCAyMjQgMjI0IDIyNC01NiA1Ni0yMjQtMjI0LTIyNCAyMjRaIi8+PC9zdmc+) no-repeat center center;
	background-size: 24px
}

.jst-modal-content {
	overflow: auto;
	height: 100%;
	box-sizing: border-box
}

.jst-modal iframe {
	width: 100%;
	height: 100%;
	border: 0;
	box-sizing: border-box
}

.jst-nav-link-group {
	display: none
}

.jst-alert-msg {
	flex-grow: 1;
	overflow: auto;
}

.jst-alert-btn-wrapper {
	flex-shrink: 0;
	display: flex;
	justify-content: end;
	gap: .5rem;
	padding: .75rem;
	background-color: var(--jst-modal-header-bg);
	color: var(--jst-modal-color);
	border-top: 1px solid var(--jst-border-color)
}

.jst-btn {
	border: 0;
	padding: .5rem 1rem;
	cursor: pointer;
	border-radius: var(--jst-border-radius)
}

.jst-btn-red {
	color: var(--jst-btn-color);
	background-color: var(--jst-red)
}

.jst-btn-red:hover {
	background-color: var(--jst-red-hover)
}

.jst-btn-dark {
	color: #fff;
	background-color: var(--jst-dark)
}

.jst-btn-dark:hover {
	background-color: var(--jst-dark-hover)
}

.jst-btn-teal {
	color: #000;
	background-color: var(--jst-teal)
}

.jst-btn-teal:hover {
	background-color: var(--jst-teal-hover)
}

.jst-table-col-hover .jst-table-col-icon-sort {
	color: var(--jst-table-col-icon-color);
	opacity: 0;
	transition: opacity .25s ease-in-out
}

.jst-table-col-hover .jst-table-col-icon-sort:hover {
	font-weight: 700;
	cursor: pointer
}

.jst-table-col-icon-sort-show .jst-table-col-icon-sort {
	opacity: 1;
	font-weight: 700
}